SDL_AsyncIOResult(3type)

NAME
SDL_AsyncIOResult - Possible outcomes of an asynchronous I/O task.

SYNOPSIS
#include <SDL3/SDL_asyncio.h>

typedef enum SDL_AsyncIOResult
{
    SDL_ASYNCIO_COMPLETE,  /**< request was completed without error */
    SDL_ASYNCIO_FAILURE,   /**< request failed for some reason; check SDL_GetError()! */
    SDL_ASYNCIO_CANCELED   /**< request was canceled before completing. */
} SDL_AsyncIOResult;

AVAILABILITY
This enum is available since SDL 3.2.0.